2.1 is not supported in XP-64???

Discussion in 'iPhone Tips, Help and Troubleshooting' started by mistamoni, Sep 26, 2008.

  1. mistamoni macrumors newbie

    Joined:
    Sep 19, 2008
    #1
    Gotta love microsoft and their stupidity, especially when building an OS like XP-64bit which basically has no drivers for anything. I recently updated my iphone to 2.1, and sure enough, XP64 can't detect it in Itunes 8. Anytime I plug it in, it says "a newer Apple mobile device installation is required". It's odd, because when I had 1.1.4, it worked fine on Itunes 7.7.. and the 2.1 works fine on 32-bith windows on itunes 8.

    I thought that maybe my installation was bad and that apple mobile device services had to be manually installed. So I uninstalled, deleted all apple related registry, and installed each application individually... still, Itunes 8 works fine, but can't detect iphone.

    Anyone know any solution to this or have gotten their 2.1 to work on a 64-bit system? Right now I'm having to use my laptop, and I would rather have it sync to my main computer that actually has all the media.
     
  2. mistamoni thread starter macrumors newbie

    Joined:
    Sep 19, 2008
    #2
    No one has found a work around to this problem? Is there a specific 64-bit Itunes that works with it, and if so... what is the link for it? Apple's itunes download page states that 64-bit system should download the 64-bit itunes, but I could not find that anywhere no matter how long I searched.
     

Share This Page